## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1

%global crate just

Name:           rust-just
Version:        1.42.3
Release:        %autorelease
Summary:        Just a command runner

License:        CC0-1.0
URL:            https://crates.io/crates/just
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          just-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Relax 'dirs' dependency from 6.0.0 to >=5,<7
# * Unpin 'clap_complete'
Patch:          just-fix-metadata.diff
# * Exclude unwanted files
Patch2:         just-exclude-unwanted-files.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
just is a handy way to save and run project-specific commands.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR Apache-2.0 WITH LLVM-exception
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-2-Clause OR Apache-2.0 OR MIT
# CC0-1.0
# MIT
# MIT OR Apache-2.0
# MIT-0 OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        %{shrink:
                CC0-1.0
                AND Apache-2.0
                AND (Apache-2.0 OR Apache-2.0 WITH LLVM-exception)
                AND (Apache-2.0 OR BSL-1.0)
                AND (Apache-2.0 OR MIT)
                AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT)
                AND BSD-2-Clause
                AND (BSD-2-Clause OR Apache-2.0 OR MIT)
                AND MIT
                AND (MIT-0 OR Apache-2.0)
                AND MPL-2.0
                AND Unicode-DFS-2016
                AND (Unlicense OR MIT)
                }
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc GRAMMAR.md
%doc README.md
%doc README.中文.md
%doc crates-io-readme.md
%{_bindir}/just
%doc examples
%{_mandir}/man1/just.1*
%{fish_completions_dir}/just.fish
%{zsh_completions_dir}/_just

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/GRAMMAR.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/README.中文.md
%doc %{crate_instdir}/crates-io-readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
# Generate man page and shell completions
target/rpm/just --man > target/rpm/just.1
for shell in fish zsh; do
    target/rpm/just --completions $shell > target/rpm/just.$shell
done

%install
%cargo_install
install -D -m644 -pv target/rpm/just.1    %{buildroot}%{_mandir}/man1/just.1
install -D -m644 -pv target/rpm/just.fish %{buildroot}%{fish_completions_dir}/just.fish
install -D -m644 -pv target/rpm/just.zsh  %{buildroot}%{zsh_completions_dir}/_just

%if %{with check}
%check
# * completions test script does not work outside of git checkout
# * alignment test expects unicode-width 0.1.13
%{cargo_test -- -- %{shrink:
    --skip completions::bash
    --skip completions::replacements
    --skip misc::list_alignment
}}
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 19 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.42.3-1
- Update to 1.42.3 (#2379806)

* Sun Jul 06 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.41.0-1
- Update to 1.41.0
- Disable bash completions (fixes rhbz#2374865)

* Wed Jun 25 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.40.0-2
- Relax 'which' dev-dependency from 7.0.0 to >=7,<9

* Mon Mar 10 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.40.0-1
- Update to 1.40.0 (#2351006)

* Fri Jan 24 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.39.0-1
- Update to 1.39.0 (#2341461)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.38.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Dec 11 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.38.0-1
- Update to 1.38.0 (#2331620)

* Sun Dec 01 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.37.0-1
- Update to 1.37.0 (#2315803)

* Mon Sep 02 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.35.0-1
- Update to 1.35.0 (#2308841)

* Sun Aug 18 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.34.0-1
- Update to 1.34.0 (#2302572)

* Wed Jul 31 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.33.0-1
- Update to 1.33.0 (#2298573)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.31.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.31.0-1
- Update to 1.31.0 (#2297872)

* Sun Jul 07 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.30.1-1
- Update to 1.30.1 (#2296144)

* Sun Jun 16 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.29.1-1
- Update to 1.29.1 (#2290634)

* Wed Jun 12 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.28.0-2
- Fix build with clap_complete >= 4.5.5

* Tue Jun 11 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.28.0-1
- Update to 1.28.0 (#2290634)

* Sun Jun 02 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.27.0-1
- Update to 1.27.0 (#2283189)

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 1.25.2-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Tue Mar 12 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.25.2-1
- Update to 1.25.2 (#2268524)

* Fri Mar 08 2024 Michel Lind <salimma@fedoraproject.org> - 1.24.0-2
- Rebuilt for which 6.0.0

* Mon Feb 12 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.24.0-1
- Update to 1.24.0 (rhbz#2263788)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.23.0-1
- Update to 1.23.0 (rhbz#2257345)

* Fri Jan 05 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.22.0-1
- Update to 1.22.0 (#2256048)

* Tue Dec 26 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.18.1-1
- Update to 1.18.1 (#2255761)

* Wed Dec 20 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.17.0-2
- Skip `justfile::tests::run_shebang`

* Wed Dec 20 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.17.0-1
- Update to 1.17.0 (#2255312)

* Fri Nov 10 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.16.0-1
- Update to 1.16.0 (#2248774)

* Tue Oct 10 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.15.0-1
- Update to 1.15.0 (#2242815)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 03 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.14.0-1
- Update to 1.14.0 (#2212005)

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 1.13.0-2
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Thu Jan 26 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.13.0-1
- Update to 1.13.0 (#2164312)

* Mon Jan 23 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.12.0-1
- Update to 1.12 (#2160641)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jan 07 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.11.0-1
- Update to 1.11.0 (#2157519)

* Sat Nov 26 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.9.0-1
- Update to 1.9.0 (#2148570)

* Thu Nov 03 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0 (#2139564)

* Mon Oct 31 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0 (#2138073)

* Thu Oct 20 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0 (#2136345)

* Tue Oct 04 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 1.5.0-1
- Update to 1.5.0
- Drop rust-cradle dependency
- Exclude unwanted files

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.8-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 04 09:45:37 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.9.8-1
- Update to upstream 0.9.8; enable tests
- Add shell completions

* Sat Jul 03 12:57:26 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.9.6-1
- Initial package

## END: Generated by rpmautospec
